[Overview][Types][Classes][Index] | Reference for unit 'Toolwin' (#lcl)

# TToolWindow.Paint

Draws the control with the borders and style needed.

## Declaration

Source position: toolwin.pp line 64

`protected procedure TToolWindow.Paint; override;`

## Description

Paint is an overridden procedure that draws the control with the borders and styles indicated in EdgeBorders, EdgeInner, and EdgeOuter. Paint calls DrawEdge to render the control, and calls the inherited Paint method.

## See also

TToolWindow.EdgeBorders |  | Indicates the edges to be drawn with a border on the control.
TToolWindow.EdgeOuter |  | Specifies the drawing style used for the outer border of the control.
TToolWindow.EdgeInner |  | Specifies the drawing style used for the inner border of the control.